# TODO https://github.com/ola-ct/Qt-SESAM/issues/131
%bcond_without  bundle_cryptopp

Name:           Qt-SESAM
Version:        2.0.6
Release:        2%{?dist}

Summary:        Super Easy & Secure Authentication Management
# generally GPLv3+, GPLv2+ for 3rdparty/bigint
# but Boost+BSD+PublicDomain for bundled 3rdparty/cryptopp
License:        GPLv3+ and Boost and BSD and Public Domain

URL:            https://github.com/ola-ct/%{name}
Source0:        %{url}/archive/v%{version}.tar.gz

# build uses qmake, i.e. doesn't use information from pkconfig() or cmake()
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
# for lrelease-qt5
BuildRequires:  cmake(Qt5LinguistTools)
%if %{without bundle_cryptopp}
BuildRequires:  pkgconfig(cryptopp)
%else
Provides:       bundled(cryptopp)
%endif

# TODO we need a better description text
%description
Super Easy & Secure Authentication Management

This program uses the Crypto++ library.


%prep
%setup -q -n %{name}-%{version}
%if %{without bundle_cryptopp}
rm -r libSESAM/3rdparty/cryptopp
%endif

%build
lrelease-qt5 %{name}/%{name}.pro
# avoid empty debuginfo or E: debuginfo-without-sources
# https://stackoverflow.com/questions/6993061/build-qt-in-release-with-debug-info-mode
# TODO maybe force_debug_info is sufficient?
qmake-qt5 CONFIG+=debug %{name}.pro
%make_build

%install
# give explicit install folder to avoid errors of cannot create regular file
%make_install INSTALL_ROOT=%{buildroot}
%find_lang QtSESAM --with-qt --without-mo

%check
make %{?_smp_mflags} check


%files -f QtSESAM.lang
%doc README.md
%license LICENSE
%if %{with bundle_cryptopp}
%license libSESAM/3rdparty/cryptopp/Crypto++-License
%endif
%{_bindir}/%{name}


%changelog
* Tue Aug 15 2017 Raphael Groner <projects.rg@smart.ms> - 2.0.6-2
- prepare for review
- try to unbundle cryptopp

* Mon Sep 28 2015 Oliver Lau <ola@ct.de> - 2.0.6-1
- update to 2.0.6

* Fri Sep 18 2015 Stefan Becker <chemobejk@gmail.com> - 2.0.5-1
- update to 2.0.5

* Wed Sep 16 2015 Stefan Becker <chemobejk@gmail.com> - 2.0.4-1
- update to 2.0.4

* Tue Sep 15 2015 Stefan Becker <chemobejk@gmail.com> - 2.0.3-1
- Initial packaging.
